using HKCardOUT.Logic;
using HKCardOUT.Logic.Model;
using HKLib.Dto;
using HKLib.RabbitMQ.Config;
using System;
using System.Collections.Generic;
using System.Text;
using XExten.Advance.LinqFramework;

namespace HKCardOUT
{
    public class MqHandle : IAccept
    {
        public void AcceptMQ<T>(string msg)
        {
            var dto = msg.ToModel<CardStutasDto>();

            DbContext.Context.Updateable<CardStutas>().SetColumns(t => t.Stutas == dto.Stutas).Where(t => t.CardNo == dto.CardNo).ExecuteCommand();

        }
    }
}
